Imports System
Imports System.Data
Imports System.Data.SqlClient

Namespace SearchSampleVB.DataLayer
     Public NotInheritable Class Dbase
         Private Sub New()
         End Sub

         Public Shared Function GetConnection() As SqlConnection
            Dim connectionString As String = "Data Source=localhost;Initial Catalog=Northwind;User ID=YOURUSERNAMEHERE;Password=YOURPASSWORDHERE"
             Dim connection As New SqlConnection(connectionString)
             connection.Open()
             Return connection
         End Function

         Public Shared Function GetCommand(storedProcedureName As String, connection As SqlConnection) As SqlCommand
             Dim command As New SqlCommand(storedProcedureName, connection)
             command.CommandType = CommandType.StoredProcedure
             Return command
         End Function

         Public Shared Function GetCommand(connection As SqlConnection, sql As String) As SqlCommand
             Dim command As New SqlCommand(sql, connection)
             command.CommandType = CommandType.Text
             Return command
         End Function

         Public Shared Function GetDbaseDataSet(command As SqlCommand) As DataSet
             Dim adapter As New SqlDataAdapter(command)
             Dim dataset As DataSet = DirectCast(Activator.CreateInstance(GetType(DataSet)), DataSet)
             adapter.Fill(dataset)
             adapter.Dispose()
             Return dataset
         End Function
     End Class
End Namespace
