﻿function SetGridViewHoverOn(gridView) {
    if (gridView != null) {
        gridView.originalBgColor = gridView.style.backgroundColor;
        gridView.style.backgroundColor = '#FFFFCC';
    }
}

function SetGridViewHoverOff(gridView) {
    if (gridView != null) {
        gridView.style.backgroundColor = gridView.originalBgColor;
    }
}

function deleteItem(uniqueID, itemID) {
    var dialogTitle = 'Permanently Delete Item ' + itemID + '?';

    $("#deleteConfirmationDialog").html('<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Please click delete to confirm deletion.</p>').css("text-align", "left");

    $("#deleteConfirmationDialog").dialog({
        title: dialogTitle,
        buttons: {
            "Delete": function () { __doPostBack(uniqueID, ''); $(this).dialog("close"); },
            "Cancel": function () { $(this).dialog("close"); }
        }
    });

    $('#deleteConfirmationDialog').dialog('open');
    return false;
}

function ShowError(errorMessage, dialogTitle) {
    $(document).ready(function () {
        $("#errorDialog").text(errorMessage).css("text-align", "left");
        $("#errorDialog").dialog({
            title: dialogTitle,
            modal: true,
            buttons: {
                Ok: function () {
                    $(this).dialog("close");
                }
            }
        });
    });
}

function ShowHtmlError(errorMessage, dialogTitle) {
    $(document).ready(function () {
        $("#errorDialog").html(errorMessage).css("text-align", "left");
        $("#errorDialog").dialog({
            title: dialogTitle,
            modal: true,
            buttons: {
                Ok: function () {
                    $(this).dialog("close");
                }
            }
        });
    });
}

